set lines 132 pages 55
set echo on
set pau "Press ENTER to continue ..."
begin dbms_stats.delete_table_stats(ownname=>user,tabname => 'SALES'); end;
/
begin	dbms_stats.delete_table_stats(ownname=>user,tabname => 'PRODUCTS'); end;
/
begin  
	dbms_stats.gather_table_stats(ownname=>user,tabname => 'SALES');
end;
/
begin  
	dbms_stats.gather_table_stats(ownname=>user,tabname => 'PRODUCTS');
end;
/
pau
explain plan for
select prod_desc, sum(amount_sold)
from sales s, products p
where s.prod_id = p.prod_id
group by prod_desc
having sum(amount_sold) > 8990000
/
pau
select * from table(dbms_xplan.display())
/
pau
select prod_desc, sum(amount_sold)
from sales s, products p
where s.prod_id = p.prod_id
group by prod_desc
having sum(amount_sold) > 8990000
/
pau
select * from table(dbms_xplan.display_cursor(format=>'+adaptive'))
/
