set echo on
set pau "Press ENTER to continue ..."
create table ptab1 (c1 number, c2 number)
partition by range (c2)
(
	partition p1 values less than (101),
	partition p2 values less than (201),
	partition pm values less than (maxvalue)
)
/
create index in_ptab1 on ptab1 (c2) local
/
pau
insert into ptab1 values (1,99)
/
insert into ptab1 values (2,199)
/
insert into ptab1 values (3,299)
/
commit
/
pau
create index in_g1_ptab1_01 on ptab1 (c1) global
/
pau
col index_name format a30
select index_name, status
from user_indexes
where table_name = 'PTAB1'
/
pau
alter table ptab1 drop partition p1 update global indexes
/
pau
select index_name, status
from user_indexes
where table_name = 'PTAB1'
/
pau
select index_name, orphaned_entries from user_indexes where table_name = 'PTAB1'
/
pau
select * from dba_scheduler_jobs where job_name = upper('pmo_deferred_gidx_maint_job')
/
pau
select index_name, orphaned_entries from user_indexes where table_name = 'PTAB1'
/
pau
conn / as sysdba
begin dbms_scheduler.run_job('PMO_DEFERRED_GIDX_MAINT_JOB'); end;
/
pau
conn arup/arup
select index_name, orphaned_entries from user_indexes where table_name = 'PTAB1'
/