set echo on
set pau "Press ENTER to continue ..."
drop table ptab1
/
create table ptab1 (c1 number, c2 number)
partition by range (c2)
(
	partition p1 values less than (101),
	partition p2 values less than (201),
	partition pm values less than (maxvalue)
)
/
pau
insert into ptab1 values (1,99)
/
insert into ptab1 values (2,199)
/
insert into ptab1 values (3,299)
/
commit
/
pau

alter table ptab1 modify partition p1 indexing on
/
alter table ptab1 modify partition p2 indexing off
/
pau
create index in_g2_ptab1 on ptab1 (c1) global indexing partial
/
pau
create index in_ptab1 on ptab1 (c2) local indexing partial
/
pau
col index_name format a30
select index_name, status
from user_indexes
where table_name = 'PTAB1'
/
pau
select partition_name, status, SEGMENT_CREATED
from user_ind_partitions
where index_name = 'IN_PTAB1'
/
pau