create materialized view mv1
build deferred
refresh fast on demand
enable query rewrite
as
select year, week, country, region, product, sum(sale) tot_sales
from sales_fact
group by year, week, country, region, product
/
